## org.eclipse.datatools.connectivity.oda.util.manifest
Class ManifestExplorer.Filter

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.util.manifest.ManifestExplorer.Filter

Enclosing class:
  ManifestExplorer

public class ManifestExplorer.Filter
extends java.lang.Object

Filtering options for the manifest explorer to apply when retrieving a collection of ODA data source extension manifests.

Method Summary
`boolean` `isDeprecatedFilterOn()` Indicates whether to exclude deprecated extensions.
`boolean` `isMissingDataSetTypesFilterOn()` Indicates whether to exclude extensions with no data set types defined.
`void` `setDeprecatedFilter(boolean exclude)` Specifies whether to exclude deprecated extensions.
`void` `setMissingDataSetTypesFilter(boolean exclude)` Specifies whether to exclude extensions with no data set types defined.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setMissingDataSetTypesFilter

    public void setMissingDataSetTypesFilter(boolean exclude)

  Specifies whether to exclude extensions with no data set types defined.

  Parameters:
    `exclude` - true to exclude, false otherwise.

### setDeprecatedFilter

    public void setDeprecatedFilter(boolean exclude)

  Specifies whether to exclude deprecated extensions.

  Parameters:
    `exclude` - true to exclude, false otherwise.

### isMissingDataSetTypesFilterOn

    public boolean isMissingDataSetTypesFilterOn()

  Indicates whether to exclude extensions with no data set types defined.

### isDeprecatedFilterOn

    public boolean isDeprecatedFilterOn()

  Indicates whether to exclude deprecated extensions.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.